Ubuntu

Dhcdbd doesn't recognize permanent (-1) DHCP leases

Reported by Marco on 2007-03-18
152
This bug affects 2 people
Affects Status Importance Assigned to Milestone
NetworkManager
Invalid
Undecided
Unassigned
dhcdbd (Ubuntu)
Medium
Unassigned
Nominated for Dapper by runger
Nominated for Feisty by runger
Declined for Gutsy by Henrik Nilsen Omma
Nominated for Intrepid by runger
Hardy
Medium
Unassigned

Bug Description

extract from user.log:

[...]
Mar 18 12:34:21 amilo dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
Mar 18 12:34:32 amilo dhcdbd: dhco_input_option: Value -1 cannot be converted to type L
Mar 18 12:34:32 amilo dhcdbd: dhco_parse_option_settings: bad option setting: new_dhcp_lease_time = -1
Mar 18 12:34:32 amilo dhcdbd: dhco_input_option: Value -1 cannot be converted to type L
Mar 18 12:34:32 amilo dhcdbd: dhco_parse_option_settings: bad option setting: old_dhcp_lease_time = -1
Mar 18 12:34:32 amilo dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Mar 18 12:34:32 amilo dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Mar 18 12:34:32 amilo dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers
[...]

Marco (mfj) wrote :

I have the same problem after upgrading to Feisty. As a result, avahi-daemon does not start when booting.

This is the relevant extract from syslog:

Mar 27 10:55:50 dedekind dhcdbd: Started up.
Mar 27 10:55:51 dedekind NetworkManager: <information>^Istarting...
Mar 27 10:55:51 dedekind NetworkManager: <information>^Ieth0: Device is fully-supported using driver 'skge'.
Mar 27 10:55:51 dedekind NetworkManager: <information>^Inm_device_init(): waiting for device's worker thread to start
Mar 27 10:55:51 dedekind avahi-daemon[4935]: Found user 'avahi' (UID 105) and group 'avahi' (GID 109).
Mar 27 10:55:51 dedekind avahi-daemon[4935]: Successfully dropped root privileges.
Mar 27 10:55:51 dedekind NetworkManager: <information>^Inm_device_init(): device's worker thread started, continuing.
Mar 27 10:55:51 dedekind NetworkManager: <information>^INow managing wired Ethernet (802.3) device 'eth0'.
Mar 27 10:55:51 dedekind NetworkManager: <information>^IDeactivating device eth0.
Mar 27 10:55:51 dedekind avahi-daemon[4935]: avahi-daemon 0.6.17 starting up.
Mar 27 10:55:51 dedekind dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Mar 27 10:56:16 dedekind NetworkManager: <information>^IError from dhcdbd on 'reason' request because: name 'org.freedesktop.DBus.Error.NoReply', message 'Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.'.
Mar 27 10:56:16 dedekind NetworkManager: <information>^IWill activate wired connection 'eth0' because it now has a link.
Mar 27 10:56:16 dedekind NetworkManager: <information>^ISWITCH: no current connection, found better connection 'eth0'.
Mar 27 10:56:16 dedekind avahi-daemon[4935]: dbus_bus_get_private(): Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Mar 27 10:56:16 dedekind avahi-daemon[4935]: WARNING: Failed to contact D-Bus daemon.

Andreas Roth (aroth) wrote :

I can confirm this issue. I'm using the latest version of feisty fawn.
I configured ldap authentication and since then this issue above occurs.

I you need more information (log files, more detailed description) please contact me.

Michael Ummels (urmel291) wrote :

Since come "dist-upgrade"s ago, this problem does no longer occur, so I think the bug has been fixed.

Marco (mfj) wrote :

I report again the same problem (17-Apr-2007). Actually no changes for this bug (with my configuration).

Hans Deragon (deragon) wrote :

I confirm this problem. Canonical should do something about this, if only to remove the trademark infraction. I do not believe that Red Hat would agree to have its name showing up under Ubuntu.

Although I get the message, I do not seam to suffer from some ill effect; my wired connection works flawlessly.

Marco (mfj) wrote :

I don't know why this bug is still setting as unconfirmed / unassigned, after a month from the opening and many reports.

SH (s-de-hoog) wrote :

I'm experiencing this as well, confirming this for Feisty

Changed in dhcdbd:
status: Unconfirmed → Confirmed
donflint (don-wtpda) wrote :

Also getting it here. Feisty 7.04

Apr 27 22:35:53 apparition dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason

Samae (lord-myyl) wrote :

I also confirm, it's the same here with feisty 64.

thehcdreamer (thehcdreamer) wrote :

confirm.... 25/may/2007 this is really bad

confirm... same here on Feisty Fawn

Maksim Lin (maksim) wrote :

I can confirm I'm seeing very simliar on final release version of Feisty:

Jun 9 11:48:00 voyager dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Jun 9 11:48:00 voyager dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Jun 9 11:48:00 voyager dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers

Questions include why on earth is it looking for NIS info when I don't use NIS?
why is /com/redhat/dhcp/eth1 being sent messages by dhcdbd?

Paul Barron (paul-barron) wrote :

I have the same problem feisty 64 2.6.20-16-generic
Jun 16 13:49:03 PostProd dhcdbd: Started up.
Jun 16 13:49:05 PostProd NetworkManager: <information>^Istarting...
Jun 16 13:49:05 PostProd NetworkManager: <information>^Ieth0: Device is fully-supported using driver '8139too'.
Jun 16 13:49:05 PostProd NetworkManager: <information>^Inm_device_init(): waiting for device's worker thread to start
Jun 16 13:49:05 PostProd NetworkManager: <information>^Inm_device_init(): device's worker thread started, continuing.
Jun 16 13:49:05 PostProd NetworkManager: <information>^INow managing wired Ethernet (802.3) device 'eth0'.
Jun 16 13:49:05 PostProd NetworkManager: <information>^IDeactivating device eth0.
Jun 16 13:49:05 PostProd dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason

 starting applications is slower too.

Same here, dhcdbd version: 2.0-2ubuntu3.

**
snifer@snifer-laptop:~/Desktop$ uname -a
Linux snifer-laptop 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux
**

My last boot /var/log/messages attached.

JK (jk-jkneb) wrote :

HI
I am gettng same probs, is there anyone who knows how to fix it please?

Thanks,

JK

Michele (mikelito) wrote :

I confirm this problem on a thinkpad T60/feisty. These error logs appears sometimes when I try to connect to some open access wireless networs; NetworkManager applet shows the connection as active, but I am not able to connect nor to ping anywhere. Only difference with successful connection to other networs seems to be the above mentioned error messages in daemons.log

Any fixes or workaround in the wild?
thanks
m.

I confirm this problem on a thinkpad X60s/feisty

i try to connect to a wireless, it's very slow and do not succeed all times.

$ uname -a
Linux qingdao 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

My last boot /var/log/messages attached.

Luis

isazi (isazi) wrote :

My system have the same problem.

Kubuntu 7.04

Linux data 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

Hello
With a fresh festy up to date, the Pb still here.

Did this bug will be at least have an "Importance" level set ?

Luis

ChrisKelley (ckelley) wrote :

Me too... Kubuntu Fiesty amd64 on x86_64 ... also after compiling to get video/audio/dvd/etc working...
Dell D630 Intel DuoCore, Intel chipset, Intel video, Intel wireless, broadcom gigabit
chris@outside:~/d630$ uname -a
Linux outside 2.6.22.1 #1 SMP Fri Aug 3 15:51:41 PDT 2007 x86_64 GNU/Linux
chris@outside:~/d630$

dmesg content:
Aug 4 13:43:37 outside dhcdbd: Started up.
Aug 4 13:43:38 outside dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Aug 4 13:43:38 outside dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason

[ snip ]

Aug 4 15:41:13 outside kernel: [ 1784.782777] tg3: eth0: Link is down.
Aug 4 15:41:29 outside kernel: [ 1787.671145] tg3: eth0: Link is up at 100 Mbps, full duplex.
Aug 4 15:41:29 outside kernel: [ 1787.671155] tg3: eth0: Flow control is on for TX and on for RX.
Aug 4 15:41:35 outside dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
Aug 4 15:41:35 outside dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Aug 4 15:41:35 outside dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Aug 4 15:41:35 outside dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers

I am reasonably sure the dhcdbd messages are related to the network event. I unplugged from one ethernet cable to another one. Why? From a short cable to a longer one to move from a table across the room. This message repeats.

Once before, I chased down this code through the network if scripts and couldn't see an easy workaround.

:) Chris

jml (gradstud) wrote :

What a pain this is. I am having the same problem on my Lenovo 3000 n100 model 076804U. The wireless card shows up as

03:00.0 Network controller: Broadcom Corporation Dell Wireless 1390 WLAN Mini-PCI Card (rev 01)

I have it working with ndiswrapper and the bcmwl5 driver.

Anyway, because the situation with knetwork manager isn't really acceptable for how I use my laptop, I went ahead and downloaded and reinstall wlasssistant:

http://sourceforge.net/project/showfiles.php?group_id=134488&package_id=147679

I hope they fix this soon. It really is a serious problem with knetworkmanager, which was touted as one of the new great features of Feisty.

Bernhard Gehl (bernhard-gehl) wrote :

The same style error message (redhat...) occurs in my current Gutsy Tribe install. It's definitively not originating from _k_network manager - but should be fixed anyways.

Juksu (jluostar) wrote :

I can confirm this bug on ubuntu gutsy tribe 5.
dhcdbd looks for some message handler in the wrong place and therefore cannot find it?
A potential source for laptop WLAN problems? (WLAN works with ndiswrapper)
Have never had RedHat on any of my machines.

Jukka

Aug 24 15:11:16 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
Aug 24 15:11:56 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Aug 24 15:11:56 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Aug 24 15:11:56 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers

Okay, I can confirm this as well, and I think I've found someone's debug messages in there, too. Here's my info.

Wifi NIC: Intel 3945
Distro: Kubuntu Gutsy

Attached is a tarball of user.log, messages, and syslog.

I found this--what looks like debug code--message in my syslog: Aug 30 06:45:35 thepea NetworkManager: <info> nm_policy_device_change_check:: !old_dev && !new_dev!!

linux-junkie (twg) wrote :
Download full text (4.5 KiB)

I have received the same error but only for my regular hard line (eth0), I have switched off the wireless (eth1) in the BIOS. I took this information from the messages log file located in /var/log/ This also affects both Ubuntu 7.04 and Xubuntu 7.04 64bit versions for AMD64, I have tried both. When it crashes, my system locks up solid, mouse does not work, system load usually max's out and processor is at 100%. I have even unplugged my internet connection to see if it clears up but it doesn't. Most of the time I have to manually press the main power switch to get the system to shut off. I have been able to log in shell or tty and I get the error showing up on screen. There too, ctrl+alt+del, I have to press 3 or more times to get the system to reboot, tried logging in and out but that is hopeless. This is a nasty problem.

Sep 4 00:14:04 thomas-laptop syslogd 1.4.1#20ubuntu4: restart.
Sep 4 00:24:57 thomas-laptop dhcdbd: dhco_parse_option_settings: bad option setting: old_server_name =
Sep 4 00:25:00 thomas-laptop dhcdbd: dhco_parse_option_settings: bad option setting: old_server_name =
Sep 4 00:25:00 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Sep 4 00:25:00 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Sep 4 00:25:00 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Sep 4 08:08:50 thomas-laptop dhcdbd: dhco_parse_option_settings: bad option setting: old_server_name =
Sep 4 08:08:50 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Sep 4 08:08:50 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Sep 4 08:08:50 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Sep 4 08:12:32 thomas-laptop syslogd 1.4.1#20ubuntu4: restart.
Sep 4 08:12:36 thomas-laptop dhcdbd: Started up.
Sep 4 08:12:39 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Sep 4 08:12:39 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Sep 4 08:12:45 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Sep 4 08:12:45 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Sep 4 08:12:45 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Sep 4 14:26:08 thomas-laptop dhcdbd: Started up.
Sep 4 14:26:11 thomas-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Sep 4 14:26:11 thomas-laptop dhcdbd: message_handler: me...

Read more...

Same here 100% lockup of system (SysRQ works but thats it)

Using Gutsy Tribe 5 on AMD64...

everything worked fine one week ago. But this morning I connected to a open wireless connection with a Cisco login site (that sets your session) and back at home it crashes on startup while connecting to a basic WEP 64 HEX network.

I think this message doesn't cause any trouble, it's just an annoyance.

Really,

Then why does it kill my system all of the time. I get 100% system load, 100% processor load, network traffic is erratic, hdd is also erratic, causing the whole machine to lock up solid, mouse does not work, ctrl+Alt+F4 to get into tty does not work either, after reviewing the log files, this annoyance repeats on the average of every 5 hours. I would definitely say that this is quite the annoyance. I think you should read the other messages in this section in launchpad.net.
In my PCLinuxOS 2007, I don't experience any of these problems that I get here in Xubuntu 7.04.

Tom

Juan Pablo Salazar Bertín <email address hidden> wrote: I think this message doesn't cause any trouble, it's just an annoyance.

--
Dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
https://bugs.launchpad.net/bugs/93360
You received this bug notification because you are a direct subscriber
of the bug.

---------------------------------
 All new Yahoo! Mail -
---------------------------------
Get a sneak peak at messages with a handy reading pane.

I strongly urge you bump this to "critical." Hpw this can remain "undecided" is beyond my comprehension.

The mere appearance of error messages in an obscure log is less than an annoyance, but the appearance of these error messages concide exactly with !) the random disconnect from a wireless connection; 2) the inability of nm to reconnect to the access point; 3) hanging the system to the point that a forced power-down is the only solution.

My setup is all function and not at all candied (no beryl, desktop effects, etc.). I have never installed a redhat alien package, so the problem was introduced through the repositories.

On the clean install, this was not an issue. A few weeks ago, the random disconnects appeared. The situation has now blossomed where forced powerdown is the only way to get running again. If that is not critical, I guess I just don't understand the language.

Lenovo 3000 N100 laptop running Ubuntu Feisty 7.04 (64 bit)/ Intel 3945 wireless,
2.6.20-16-generic #2 SMP Thu Aug 30 23:16:15 UTC 2007 x86_64 GNU/Linux

I agree the precedent comment !

Same symptoms with a Lenovo X60s

$ uname -a
Linux qingdao 2.6.20-16-generic #2 SMP Fri Aug 31 00:55:27 UTC 2007 i686 GNU/Linux
$ more /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=7.04
DISTRIB_CODENAME=feisty
DISTRIB_DESCRIPTION="Ubuntu 7.04"

Luis

Harpoon (paulk808) wrote :

or those of you who have not yet tried to find out what this "thing" actually is, here is something from Debian: "dhcdbd provides a D-Bus interface to dhclient, the DHCP client from ISC, so applications such as NetworkManager can query and control dhclient. This allows an application-neutral interface for such operations"

 It was suggested (in something I read somewhere) that the problem lies with NetworkManager, which is a Gnome problem. With only limited comprehension of the english language, perhaps I am misreading the Debian description which seems to put the issue squarely in this venue.

That aside, I have been able t locate two places that appear to be (at least) a part of the problem:

/etc/dbus-1/system.d <<complete text follows>>

# if we are called by dhcdbd, push the information acquired by dhclient back to dhcdbd
if [ -n "${dhc_dbus}" ]; then
  /usr/bin/dbus-send \
  --system \
  --dest=com.redhat.dhcp \
  --type=method_call \
  /com/redhat/dhcp/$interface \
  com.redhat.dhcp.set \
  'string:'"`env | /bin/egrep -v '^(PATH|SHLVL|_|PWD|dhc_dbus)\='`";
fi;

and in

/etc/dhcp3/client-exit-hooks.d/dhcdbd <<complete text follows>>

# if we are called by dhcdbd, push the information acquired by dhclient back to dhcdbd
if [ -n "${dhc_dbus}" ]; then
  /usr/bin/dbus-send \
  --system \
  --dest=com.redhat.dhcp \
  --type=method_call \
  /com/redhat/dhcp/$interface \
  com.redhat.dhcp.set \
  'string:'"`env | /bin/egrep -v '^(PATH|SHLVL|_|PWD|dhc_dbus)\='`";
fi;

Not to be at all insulting to anyone (really--I mean that) it appears that somewhere along the line a "sample script" was copied and pasted in order to make things work without reinventing the wheel. It may be that the unaltered files slipped though the quality control process.

Sorry to say, I don't know anywhere near enough to begin to rewrite this. But my guess is that it would not be a terribly difficult task who understood the guts of what is **supposed** to be happening. I also cannot assure anyone that these are the only two instances causing problems.

I hope this hekps someone to pound out a fix. Wireless that doesn't work, or doesn't work reliably is a show stopper. I admit to getting almost ticked off enough to wipe out this installation on return to Slackware. Can't have that, now, can we?

I have traced back as far as I can, and find dhcdbd is an **optional** package. I also find that the only thing that depends on it is network manager (so we are back to the circle of who owns the bug, I guess). Having lost the overnight connection after I fell asleep, costing about 7 hours of productive work, I decided the use the package manager to uninstall dhcdbd -- taking with it the network manager and installing wifi-radar as a substitute. I am not cray about this app, but it works (so far) without random disconnects or generating errors. Another alternative I have not tried is wicd.

If you need the connectivity, and cannot wait for a proper fix, you might try the approach of "don't try to overcome problems, avoid problems." Good luck to all. You can contact me via pm in the ubuntu forums.

This bug is still bugging strong:

Sep 21 14:13:30 Possulap pulseaudio[5557]: main.c: Module load failed.
Sep 21 14:13:30 Possulap last message repeated 2 times
Sep 21 14:13:40 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
Sep 21 14:13:53 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Sep 21 14:13:53 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Sep 21 14:13:53 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers
Sep 21 14:40:16 Possulap dhcdbd: Started up.
Sep 21 14:41:27 Possulap pulseaudio[5517]: pid.c: daemon already running.
Sep 21 14:41:27 Possulap pulseaudio[5517]: main.c: pa_pid_file_create() failed.
Sep 21 14:41:28 Possulap pulseaudio[5516]: module.c: Failed to open module "module-x11-bell": module-x11-bell.so: cannot open shared object file: No such file or directory
Sep 21 14:41:28 Possulap pulseaudio[5516]: module.c: Failed to open module "module-x11-publish": module-x11-publish.so: cannot open shared object file: No such file or directory
Sep 21 14:41:28 Possulap pulseaudio[5516]: module.c: Failed to open module "module-gconf": module-gconf.so: cannot open shared object file: No such file or directory
Sep 21 14:41:28 Possulap pulseaudio[5516]: main.c: Module load failed.
Sep 21 14:41:28 Possulap last message repeated 2 times
Sep 21 14:41:41 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
Sep 21 14:41:51 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Sep 21 14:41:51 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Sep 21 14:41:51 Possulap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers

ironstorm (ironstorm-gmail) wrote :

I noticed this in my log around the time I lost my network connection to my Gutsy box...

Oct 7 01:23:15 mythtv kernel: [346741.677598] eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Oct 7 01:23:21 mythtv dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Oct 7 01:23:21 mythtv dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Oct 7 01:23:21 mythtv dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Oct 7 01:23:28 mythtv kernel: [346754.528682] eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Oct 7 01:23:31 mythtv dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Oct 7 01:23:31 mythtv dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Oct 7 01:23:31 mythtv dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Oct 7 01:24:09 mythtv kernel: [346796.170179] /build/buildd/linux-ubuntu-modules-2.6.22-2.6.22/debian/build/build-generic/media/lirc/lirc_imon/lirc_imon.c: IR port closed
Oct 7 01:24:10 mythtv kernel: [346796.339152] /build/buildd/linux-ubuntu-modules-2.6.22-2.6.22/debian/build/build-generic/media/lirc/lirc_imon/lirc_imon.c: VFD port closed

2nd time in a week I've lost NIC connectivity during a package upgrade, not good. :(

ironstorm (ironstorm-gmail) wrote :

Tried to remove dhcdbd and lost my SSH session just now. The machine dropped off the network when it go to:

Removing network-manager-kde ...
Removing network-manager ...
 * Stopping network connection manager NetworkManager

This is going to be a problem for people who run on headless servers...

If the bug is not going to get fixed, then someone should write a workaround script for people to use during upgrades...

Something like:
sudo nohup workaround-upgrade.sh # prevent the following script being terminated if the session hangs up
   #!/bin/sh
   aptitude remove network-manager network-manager-kde # wipe out the nasty packages that cause the problem
   sleep 5
   dhclient # reinitialize the NIC so people can connect again

Maurizio Tomasi (zio-tom78) wrote :

I confirm there are some problems with Gutsy Gibbon as well (platform: i386). The boot time is VERY slow (two minutes), and it seems that this delay is mainly due to dhcdbd (roughly one minute). I would like however not remove NetworkManager, as I installed Ubuntu on my laptop and often switch between cable connection (eth0) and wireless connection (eth1, using the IPW2200 driver). Both eth0 and eth1 work, but this long delay is quite annoying...

Here is an interesting part of my /var/log/messages file

Oct 22 06:30:53 tomasi-laptop kernel: [ 164.316000] [fglrx] total TIM = 0
Oct 22 06:31:33 tomasi-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
Oct 22 06:31:36 tomasi-laptop kernel: [ 208.032000] NET: Registered protocol family 17
Oct 22 06:31:38 tomasi-laptop kernel: [ 210.084000] NET: Registered protocol family 10
Oct 22 06:31:38 tomasi-laptop kernel: [ 210.084000] lo: Disabled Privacy Extensions
Oct 22 06:31:38 tomasi-laptop kernel: [ 210.084000] ADDRCONF(NETDEV_UP): eth0: link is not ready
Oct 22 06:31:45 tomasi-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Oct 22 06:31:45 tomasi-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.domain_name
Oct 22 06:31:45 tomasi-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Oct 22 06:31:45 tomasi-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers
Oct 22 06:31:54 tomasi-laptop kernel: [ 226.556000] synaptics: using relaxed packet validation
Oct 22 06:32:28 tomasi-laptop kernel: [ 260.772000] ipw2200: Firmware error detected. Restarting.

Skou (skou) wrote :

I can confirm this issue on Gusty 2.6.22-14-generic with a wireless connection.
Just upgraded to Gusty from Feisty. A snip from /var/log/messages:
Oct 24 21:01:40 AMD-XP-1700 dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/wlan0 for sub-path wlan0.dbus.get.nis_domain
Oct 24 21:01:40 AMD-XP-1700 dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/wlan0 for sub-path wlan0.dbus.get.nis_servers

I don't know if this is what is causing my problem, but it seems that randomly I can not resolve domain names.
This seems to happen if I'm checking for package updates. The following output is from before checking for updates:
$ ping google.com
PING google.com (72.14.207.99) 56(84) bytes of data.
64 bytes from eh-in-f99.google.com (72.14.207.99): icmp_seq=1 ttl=237 time=107 ms
64 bytes from eh-in-f99.google.com (72.14.207.99): icmp_seq=2 ttl=237 time=107 ms
64 bytes from eh-in-f99.google.com (72.14.207.99): icmp_seq=3 ttl=237 time=107 ms
64 bytes from eh-in-f99.google.com (72.14.207.99): icmp_seq=4 ttl=237 time=107 ms

--- google.com ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 3001ms
rtt min/avg/max/mdev = 107.003/107.332/107.663/0.341 ms

And after checking for updates, which by the way fails, I get the following:
$ date && ping google.com
ons okt 24 21:43:01 CEST 2007
ping: unknown host google.com
$ date && ping -c4 72.14.207.99
ons okt 24 21:43:36 CEST 2007
PING 72.14.207.99 (72.14.207.99) 56(84) bytes of data.
64 bytes from 72.14.207.99: icmp_seq=1 ttl=237 time=106 ms
64 bytes from 72.14.207.99: icmp_seq=2 ttl=237 time=105 ms
64 bytes from 72.14.207.99: icmp_seq=3 ttl=237 time=105 ms
64 bytes from 72.14.207.99: icmp_seq=4 ttl=237 time=105 ms

--- 72.14.207.99 ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 2999ms
rtt min/avg/max/mdev = 105.249/105.804/106.635/0.686 ms

So somehow something is triggering domain name lookup to fail.

By the way, restarting NetworkManager solves the problem temporary.

Any one got a similar problem?

fpater (fpater) wrote :

confirmed on fresh, updated gutsy install:

Oct 25 15:35:15 laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.domain_name
Oct 25 15:35:16 laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Oct 25 15:35:16 laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers

mp (m-p) wrote :

confirmed on 7.10:

 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux:

Oct 25 16:50:56 taz kernel: [ 27.132000] NET: Registered protocol family 17
Oct 25 16:50:58 taz dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Oct 25 16:50:58 taz dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Oct 25 16:50:58 taz dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Oct 25 16:51:05 taz kernel: [ 35.664000] [fglrx] PCIe has already been initialized. Reinitializing ...

Sam Peterson (peabodyenator) wrote :

I can confirm this on gutsy upgrade from feisty. Happened when I manually restarted dbus. With this many reports and absolutely nothing from the Ubuntu devs I find it infuriating that the devs are blatantly ignoring this as much as they are. I may just have to say good bye to Ubuntu. DHCP not working at all here because of this.

Sam Peterson (peabodyenator) wrote :

Okay, you no what, I'm a dumb prick. I thought this was a new development because I had never noticed this before and I was having serious DHCP issues around the time that I noticed it. However, I since grepped my old logs and determined that this message has indeed been around for a while. Sorry for the loud rant.

However, dhcdbd still seems to have numerous other issues with dhcp. It's working for me now, but it randomly decides to stop working, frequently after suspend/resume.

Lucio (lumatemp-nospam) wrote :

Have the same error on laptop Dell Latitude D620 with Gutsy latest kernel and all updates applied.

My main issue is much slower boot time compared to Feisty and I suppose this problem adds slowing...

Bas (bas-bb) wrote :

Have upgraded my fathers machine from 7.04 to 7.10 using dist-upgrade.

All updates have been applied.
Issue is quite serious as it seems to prevent sometimes a network connection from being established, does not acquire ip number through DHCP then. Also regularly the ip address is being dropped.
So far the only way to get it back working is rebooting, which most of the time works.

Have not had a lot of opportunity yet to do some debugging.

r (kapa10vc) wrote :

This is also happening on Gutsy, wired DHCP connection.
High processor usage or high network usage trigger this.
X apps freeze; CTRL+ALT+Backspace restarts X but GDM cannot start because of network errors.
All fixed as indicated above by using dhclient.

DeeKey (privateinf) wrote :

Gutsy Clean Install

Working under xen 3.1 kernel (Package from Kubuntu)

here is the output:

Nov 5 23:53:37 Athlon dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth25 for sub-path eth25.dbus.get.host_name
Nov 5 23:53:37 Athlon dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth25 for sub-path eth25.dbus.get.domain_name_servers
Nov 5 23:53:37 Athlon dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth25 for sub-path eth25.dbus.get.nis_domain
Nov 5 23:53:37 Athlon dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth25 for sub-path eth25.dbus.get.nis_servers
Nov 5 23:59:09 Athlon dhcdbd: Unrequested down ?:3

I also have found this message in my user log of Feisty 2.6.20.16.32 generic multiple times.
Nov 12 08:34:33 michael-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
Nov 12 08:34:33 michael-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Nov 12 08:34:33 michael-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Nov 12 08:34:33 michael-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers

If this helps promote a solution to this bug, it would be appreciated.

Marco (mfj) wrote :

This bug is still present in 7.10 stable.

Extract from user.log:

Nov 15 12:13:43 laptop dhcdbd: Started up.
Nov 15 12:15:11 laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
Nov 15 12:15:39 laptop dhcdbd: dhco_input_option: Value -1 cannot be converted to type L
Nov 15 12:15:39 laptop dhcdbd: dhco_parse_option_settings: bad option setting: new_dhcp_lease_time = -1
Nov 15 12:15:39 laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Nov 15 12:15:39 laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Nov 15 12:15:39 laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers

SQeaky (toppij) wrote :

Yeah, this bug causes a great deal of errors. I had slow boot time, general unresponsiveness, and weird wireless disconnects. I did :

sudo apt-get remove dhcdbd

And my computer became noticeably faster, and I will be monitoring my logs to see if any more of these errors are throw, but I think this was the source.

Brian Wigginton (bawigga) wrote :

Same error with latest Gutsy. Now my wireless wont connect at all, even after a reboot (tried 3 times).

On 11/19/07, bawigga <email address hidden> wrote:
> Same error with latest Gutsy. Now my wireless wont connect at all, even
> after a reboot (tried 3 times).

If you did update/upgrade from fiesty, it is probably more issue with
the kernel than this error message and dhcdbd. I made my entry on this
a long time ago. IMHO, the output of this bug is pretty irrelevant and
the impact people have is varied and certainly unrelated to the code
which makes this bug.

I will agree though, that the dhcdbd package has a big effect on a
system and that if something isn't configured (where/how? got me), the
symptoms reported in this thread can occur. I've had real good luck
with eliminating all other error messages, too, like the another one
typically ignored: http://ubuntuforums.org/showthread.php?t=521751

--
Chris Kelley
President
California Cycleworks, Inc
www.ca-cycleworks.com
619/501-2466

I use ADSL via external wireless router which work as DHCP-server.

My errors was gone after following changes:
1) I removed link-local 169.254.0.0 from /etc/networks file. (I use DHCP so probably I dont need it).
2) I add eth0 to /etc/network/interfaces file (before eth0 found automaticly) and see dhcp parameter.

auto eth0
iface eth0 inet dhcp

I make both changes same time so I dont know which effect this error. I feel 2nd change should be enough.
Problems looks related too early network trafic before box have correct IP address from DHCP server.

Cons. ad-hoc networks not work after these changes if DHCP server not available.
I dont know is this usefull for internal wireless routers user.

I just start last week with linux so be careful.

#Ernesto (akeymer) wrote :

My computer is a dell inspiron 6400
Gutsy final.
I've got frecuent problems with my WiFi connection, not any with cable.
i've got the same kinds off messages in my log files

my wifi card is an intel pro wireless 1945. maybe got to do with it?

Bas (bas-bb) wrote :

as described here:
https://bugs.launchpad.net/ubuntu/+source/dhcdbd/+bug/93360/comments/44

On my father's machine had this problem
After using the workaround suggested here: https://bugs.launchpad.net/ubuntu/+source/dhcdbd/+bug/93360/comments/52
the situation is much more stable. The connection has not been lost since this change was made (over two days now)
So this seems to be a good workaround

#Ernesto (akeymer) wrote :

Vesa K solution worked for me.
i just did the second part and now i can get a wirless conection stable.
thanks

dweb (darrenleeweber) wrote :
Download full text (4.5 KiB)

I can confirm this issue on Gutsy Gibbon (7.10, amd64). The /var/log/messages has frequent entries of this sort:

Nov 30 09:15:08 skiweber dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Nov 30 09:15:08 skiweber dhcdbd: dhco_input_option: Value 3650722200 cannot be converted to type L
Nov 30 09:15:08 skiweber dhcdbd: dhco_parse_option_settings: bad option setting: old_dhcp_rebinding_time = 3650722200
Nov 30 09:15:08 skiweber dhcdbd: dhco_input_option: Value 4294967295 cannot be converted to type L
Nov 30 09:15:08 skiweber dhcdbd: dhco_parse_option_settings: bad option setting: old_dhcp_lease_time = 4294967295
Nov 30 09:15:16 skiweber dhcdbd: dhco_input_option: Value 3650722200 cannot be converted to type L
Nov 30 09:15:16 skiweber dhcdbd: dhco_parse_option_settings: bad option setting: old_dhcp_rebinding_time = 3650722200
Nov 30 09:15:16 skiweber dhcdbd: dhco_input_option: Value 4294967295 cannot be converted to type L
Nov 30 09:15:16 skiweber dhcdbd: dhco_parse_option_settings: bad option setting: new_dhcp_lease_time = 4294967295
Nov 30 09:15:16 skiweber dhcdbd: dhco_input_option: Value 4294967295 cannot be converted to type L
Nov 30 09:15:16 skiweber dhcdbd: dhco_parse_option_settings: bad option setting: old_dhcp_lease_time = 4294967295
Nov 30 09:15:16 skiweber dhcdbd: dhco_input_option: Value 3650722200 cannot be converted to type L
Nov 30 09:15:16 skiweber dhcdbd: dhco_parse_option_settings: bad option setting: new_dhcp_rebinding_time = 3650722200
Nov 30 09:15:16 skiweber dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
Nov 30 09:15:16 skiweber dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Nov 30 09:15:16 skiweber dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Nov 30 09:15:16 skiweber dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers

This is a Lenovo ThinkPad T61 system with a default installation of the Ubuntu Gutsy Gibbon 7.10 amd64, etc.:

dweber@skiweber:~$ uname -a
Linux skiweber 2.6.22-14-generic #1 SMP Sun Oct 14 21:45:15 GMT 2007 x86_64 GNU/Linux

dweber@skiweber:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (r...

Read more...

Henrik Nilsen Omma (henrik) wrote :

Has anyone had a chance to test this on Hardy Heron?

Changed in dhcdbd:
importance: Undecided → Medium
Pablo Javier (pablojavier) wrote :

I'm sorry, Henrik but... what does it mean "Declined for Gutsy"? I have three Gutsy installations with the same problem... I hope it doesn't mean "we won't fix this for Gutsy". Thanks,
Pablo

Pablo Javier (pablojavier) wrote :

I'm sorry, Henrik but... what does it mean "Declined for Gutsy"? I have three Gutsy installations with the same problem... I hope it doesn't mean "we won't fix this for Gutsy". Thanks,
Pablo

Luke Hoersten (lukehoersten) wrote :

I have this same problem on Gutsy on two computers and would also like to know what "Declined for Gutsy" means?
Messages attached.

Marco (mfj) wrote :

Still present in Hardy - Alpha 4

vito (ovitorio) wrote :

I'm confirming it for Gutsy on Dell d820 with restricted Broadband driver as well.

mikko (mikko-) wrote :

Acer Aspire 1362 laptop, Hardy with latest updates.
Messages in user.log every time after boot:

Feb 14 16:31:38 mikkojakaisa dhcdbd: Started up.
Feb 14 16:31:41 mikkojakaisa dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Feb 14 16:31:47 mikkojakaisa dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
Feb 14 16:31:47 mikkojakaisa dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Feb 14 16:31:47 mikkojakaisa dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers

I'm confirming it for Gutsy on Lenovo X60s.

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=7.10
DISTRIB_CODENAME=gutsy
DISTRIB_DESCRIPTION="Ubuntu 7.10"

$ uname -a
Linux qingdao 2.6.22-14-generic #1 SMP Tue Feb 12 07:42:25 UTC 2008 i686 GNU/Linux

grep redhat /var/log/messages
dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers

2008/2/14, mikko sorri <email address hidden>:
> Acer Aspire 1362 laptop, Hardy with latest updates.
> Messages in user.log every time after boot:
>
> Feb 14 16:31:38 mikkojakaisa dhcdbd: Started up.
> Feb 14 16:31:41 mikkojakaisa dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
> Feb 14 16:31:47 mikkojakaisa dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
> Feb 14 16:31:47 mikkojakaisa dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
> Feb 14 16:31:47 mikkojakaisa dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers

These log messages are only cosmetic. Nothing to worry about.

--
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

madmaul (madmaul) wrote :

I'm confirming it for Gutsy on HP Pavilion DV8002

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=7.10
DISTRIB_CODENAME=gutsy
DISTRIB_DESCRIPTION="Ubuntu 7.10"

$ uname -a
Linux tuxpavilion 2.6.22-14-generic #1 SMP Tue Feb 12 07:42:25 UTC 2008 i686 GNU/Linux

$ grep redhat /var/log/messages
dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason

webjames (james-olney) wrote :

I'm confirming it for Hardy latest on Thinkpad T41.

james@james-laptop:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"

james@james-laptop:~$ uname -a
Linux james-laptop 2.6.24-12-generic #1 SMP Mon Mar 10 15:32:00 UTC 2008 i686 GNU/Linux

james@james-laptop:~$ grep redhat /var/log/messages
Mar 6 12:26:47 james-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.reason
Mar 6 12:30:25 james-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.reason
Mar 6 12:38:36 james-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.reason
Mar 6 12:41:00 james-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.reason
Mar 6 12:41:53 james-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Mar 6 12:41:56 james-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Mar 6 12:41:56 james-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Mar 6 12:41:56 james-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Mar 6 12:41:56 james-laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.interface_mtu

Note my wireless is broken as of a recent upgrade. I'm not sure this is the relevant bug though.

Juksu (jluostar) wrote :

Confirmed on Hardy alpha 6 with updates to date on HP nc8430 laptop with Broadcom 4311 WLAN :

Mar 14 19:08:50 lap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Mar 14 19:08:56 lap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
Mar 14 19:08:56 lap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Mar 14 19:08:56 lap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Mar 14 19:08:56 lap dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.interface_mtu

Murz (murznn) wrote :

Confirmed on Hardy alpha 6 amd64 with updates:
Mar 22 10:03:25 kit dhcdbd: Started up.
Mar 22 10:03:28 kit dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.reason
Mar 22 10:03:33 kit dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
Mar 22 10:03:33 kit dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Mar 22 10:03:33 kit dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Mar 22 10:03:33 kit dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Mar 22 10:03:33 kit dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.interface_mt

# uname -a
Linux kit 2.6.24-12-generic #1 SMP Wed Mar 12 22:31:43 UTC 2008 x86_64 GNU/Linux
# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"

Michael Ummels (urmel291) wrote :

This is not a bug of NetworkManager.

Changed in network-manager:
status: New → Invalid
Juksu (jluostar) wrote :

My wireless is stable now after the new b43-fwcutter -release, but the same messages are still appearing in the logs. (And, of course there IS no /com/redhat... path on my ubuntu laptop, the message handler must be located somewhere else :) .)

cg (cg-twinmail) wrote :

Solved this by purging Networkmanager and gnome-networkmanager.

joe williams (joetify) wrote :

I am seeing this same issue in the hardy beta:

Mar 29 17:33:11 ubuntu dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.reason
Mar 29 17:33:34 ubuntu kernel: [ 449.275313] ADDRCONF(NETDEV_CHANGE): ath0: link becomes ready

My wireless link never seems to activate, the applet just spins consistently.

IKT (ikt) wrote :

Apr 13 00:22:17 * dhcdbd: Started up.
Apr 13 00:22:20 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
Apr 13 00:22:26 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Apr 13 00:22:26 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.domain_name
Apr 13 00:22:26 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Apr 13 00:22:26 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers
Apr 13 15:59:18 * dhcdbd: Started up.
Apr 13 15:59:21 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
Apr 13 15:59:23 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Apr 13 15:59:23 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.domain_name
Apr 13 15:59:23 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Apr 13 15:59:23 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers
Apr 13 16:26:41 * dhcdbd: Started up.
Apr 13 16:26:44 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
Apr 13 16:26:47 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.host_name
Apr 13 16:26:47 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.domain_name
Apr 13 16:26:47 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_domain
Apr 13 16:26:47 * dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.nis_servers

how is this not a gutsy issue?

John Cottier (j-cottier) wrote :

I am getting similar behavior on Gutsy with wired Ethernet:-

Apr 15 09:15:17 john-ubuntu dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
Apr 15 09:15:17 john-ubuntu dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Apr 15 09:15:17 john-ubuntu dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers

Symptoms are occasional (several days at least) disconnect and reconnect by knetworkmanager. But these messages are in the log everyday. I had previously put this down to the company's MS server misbehaving, which it does.

acoustesh (acoustesh) wrote :

Still present in Hardy latest clean install

Apr 27 08:39:06 ubuntu1 kernel: [13310.357754] eth0: link up.
Apr 27 08:39:22 ubuntu1 dhcdbd: dhco_input_option: Value 4294967295 cannot be converted to type L
Apr 27 08:39:22 ubuntu1 dhcdbd: dhco_parse_option_settings: bad option setting: new_dhcp_lease_time = 4294967295
Apr 27 08:39:22 ubuntu1 dhcdbd: dhco_input_option: Value 4294967295 cannot be converted to type L
Apr 27 08:39:22 ubuntu1 dhcdbd: dhco_parse_option_settings: bad option setting: old_dhcp_lease_time = 4294967295
Apr 27 08:39:23 ubuntu1 dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
Apr 27 08:39:23 ubuntu1 dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Apr 27 08:39:23 ubuntu1 dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Apr 27 08:39:23 ubuntu1 dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Apr 27 08:39:23 ubuntu1 dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.interface_mtu

Carlos Tasada (ctasada) wrote :

Hi,

That also happens to me, but only with the next config

auto lo
iface lo inet loopback

#auto eth0
#iface eth0 inet dhcp

auto br0
iface br0 inet dhcp
 bridge_ports eth0
 bridge_fd 2.5

If I enable the eth0, then works fine. Why I'm disabling it? Because it's the recommended setting for VirtualBox to work fine.

matteroso (ttammar) wrote :

Confirmed for Hardy LTS on fresh install:

Apr 28 10:42:08 Sparta dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.reason
Apr 28 10:42:10 Sparta kernel: [ 260.757027] ADDRCONF(NETDEV_CHANGE): ath0: link becomes ready
Apr 28 10:42:16 Sparta dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.host_name
Apr 28 10:42:16 Sparta dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.nis_domain
Apr 28 10:42:16 Sparta dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.nis_servers
Apr 28 10:42:16 Sparta dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.interface_mtu

Annoying because this shows up in the log right before hard system hangs... more serious for me it seems.
Hope this gets resolved soon!

runger (runger) wrote :

It is kind of bothersome that this bug is still unassigned, and only marked medium importance... This bug is still active, hundreds of people are hurt by it!

It is a real show-stopper for normal laptop usage:

You can't switch cables, you can't switch from LAN to WLAN or back, you can't switch from WLAN to WLAN (for example when going home from work) or in fact use the network properly at all, unless it's all set up and plugged in when you boot.
Network Manager, which works well in other distros, is thus essentially useless in Ubuntu...

Is there any way for (non-root) users to switch LAN/WLAN effectively on a Laptop under Ubuntu?

Regards and Thanks,

Richard Unger

Carlos Tasada (ctasada) wrote :

Don't known if will help, but doing a

sudo /etc/init.d/networking restart

fixes the problem, of course, it's a pain in the ass to do that everytime the system starts up.

runger (runger) wrote :

Hi!

Thanks for the hint! Unfortunately that does not help me, but it did inspire me to search a little further:

It seems that in my case, the problem is not really related to the network interface or dhcp itself - those are working fine. The problem seems to lie somewhere with nm-applet, dhcdbd, dbus, and (possibly) nss.

Here's how the problem manifests:
1. Boot with Network unplugged
2. Log in - nm-applet will show up with a warning icon: no network
3. Connect network
4. nm-applet will spin seemingly forever, waiting for a dhcp assigned network address
5. in reality, the network address has been assigned, and the network interface is up
6. nm-applet will periodically bring the network interface up and down, apparently trying to resolve the problem
7. meanwhile /var/log/messages is full of stuff like: "dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eht0.dbus.get.******"
8. and /var/log/auth fills up with: dbus-daemon: nss_ldap: failed to bind to ldap server... etc....
9. system is very slow and unreactive from that point on

So on a hunch, I set the bind_timeout to 1 (1 second) in /etc/ldap.conf - this has not exactly fixed, but massivly improved the situation:

Now when I plug in the network nm-applet only spins for about 15seconds, before correctly showing a connected LAN.

It seems to be trying to get information via nss_ldap - the auth log shows continuous connection attempts while nm-applet is spinning. When nm-applet stops spinning, the nss connection attempts stop, and the dbus messages are spit out to /var/log/messages.

So it seems to me the problem lies in how the system is trying to access network information - mysterious, since I have nss setup only to serve users and groups from ldap, not hosts, domains and networks.

I will investigate this some more, including the nss setup and my pam setup for dbus.

I'll keep you posted if I find anything, in the meantime, if anyone has any ideas, let me know!

Regards from Vienna,

Richard Unger

runger (runger) wrote :

Hi!

I'd like to say I've 'solved' my problem - I'm not sure this bug is the right one for what I was experiencing.
I think my problem was more related to:

https://bugs.launchpad.net/ubuntu/+source/libnss-ldap/+bug/51315

although it manifested itself at login or when switching network with nm-applet, rather than at boot-up.

The problem basically seems to be that dbus is trying to get user/group information on a system configured to use a LDAP user database.
When the network is entirely disconnected, dbus/nss-ldap fail quickly, and everything works normally.
When the network is connected, but the LDAP server is unavailable, dbus/nss-ldap perform large numbers of lookups, which all time-out, causing many operations (login, switching network) to take seemingly forever.

I solved the problem by simply removing ldap from nsswitch.conf. This is possible for me, because I am also using nss-updatedb to cache the ldap users/groups in a local database, and pam_ccreds to authenticate against this database when ldap is unavailable.

I do think dbus/nss-ldap should handle a missing ldap server more gracefully. Think of laptop users.

Regards from Vienna,

Richard Unger

matteroso (ttammar) wrote :

Yeah, I don't think that's my problem since LDAP isn't anywhere in my nsswitch.conf... Thanks though!
glad that worked for you.

Gisbert Amm (gisbert-amm) wrote :

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu 8.04"

This bug caught me after the automatic upgrade to Hardy. WLAN did work quite well before. No it doesn't any more.

When it tries to connect, it writes lots of the aforementioned messages into the syslog:

dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name

That's why I found this report.

For me this is the most unacceptable behaviour of a software I can imagine: You do an upgrade, everything seems o.k., you shutdown your system and after the next boot - bang, something really important isn't working anymore as it did before (I used a cable connection during system upgrade).

And here I go again, endlessly reading logfiles, bug reports and hints and trying lots and lots of workarounds without success. Instead of the work I wanted to do.

No, that's not for human beings, that's for nerds and geeks. Still. It makes me sad, because I actually like Ubuntu.

I expected to find a functioning workaround somewhere because I imagined I would not be the only person having this problem after upgrading to Hardy. But look - this bug isn't even assigned to anybody nor is it classified as a show stopper. This is what I really don't understand. I feel a bit microsofted.

gmud (gmud) wrote :

@Gisbert

These log messages may have nothing to do with your wifi not working. I have theses log messages and wifi is working perfectly well. Maybe you should open a new bug for this describing the hardware (what chipset do you have) of the machine. You may also try to post it to a forum. I am willing to help you solve the problem there.

Jesse (mrz1966) wrote :

Hardy Heron and it's still definitely present. Since the upgrade my wireless connection is still operational but the indicator light on my HP laptop wireless device shows it's not connected (red not blue as it should be). That's four distros it's been an issue. Are we going to go for five?

jevy (jevin-techie) wrote :

I saw this bug yesterday in Hardy. I put in the live cd and _still_ saw the error. Very weird. I put the live cd into my laptop and I got the same error. Too much of a coincidence I thought.

I rebooted my router and it went away. Weirdest thing. Try it! It worked for me!

- Partial WORKAROUND -

The error message in question gets generated here:
/etc/dhcp3/dhclient-exit-hooks.d/zzzz_dhcdbd

Where we have the following code:

if [ -n "${dhc_dbus}" ]; then
                /usr/bin/dbus-send \
                --system \
                --dest=com.redhat.dhcp \
                --type=method_call \
                /com/redhat/dhcp/$interface \
                com.redhat.dhcp.set \
                'string:'"`env | /bin/egrep -v '^(PATH|SHLVL|_|PWD|dhc_dbus)\='`";
fi;

Now this always gives an error message about a bad path because " /com/redhat/dhcp/$interface" doesn't exist.

Also this part:
'string:'"`env | /bin/egrep -v '^(PATH|SHLVL|_|PWD|dhc_dbus)\='`"
just spits out all the environment variables. That doesn't sound right. I think this is supposed to pass information about the interaface to a database or something, but envirnment variables don't seem right. I would guess that this is supposed to be passing permanent leases to the dhcdbd.

Anyway I have attached the workaround patch which fixed the Network Manager interaction for me.

Basically it changes "/com/redhat/dhcp/$interface" to "/"
This stops the error and gets rid of the need to restart my network interface every time I connect to a network. I still contend it should be doing something other than passing environment variables, but I don't know enough about dbus to fix it. Hopefully, this will show the right person where to look.

Dennis New (dennisn) wrote :

Dudes. This is /really/ frustrating. How has this not been fixed yet? I have NO WIRELESS at the moment!

I did for a day or so after I freshly installed Ubuntu, but now, all of a sudden, it's fucked up. How hard can it possibly be to set up a network connection? Answer: not very. I can do it manually via "iwconfig wlan0 essid MyEssid" then "ifconfig wlan0 10.0.0.69" and pronto. But somehow Ubuntu's NetworkManager manages to fuck it up.

It could be a ndiswrapper specific issue. The reason I suspect it might have something to do with that is that sometimes the signal strength of my wireless router (the bar graph in the applet) is at 100%, and when I see this, I usually can't even connect or get an IP address (the signal should be around 33%). Otherwise, what happens is I DO actually connect (iwconfig shows a working link, and ifconfig shows a proper IP address, and I can surf the net), but the applet continues to spin, trying to "connect", with one of those tear drops lit up, and then after a few minutes it kills the connection (loses IP and link to the router), and my router releases (the lease?) on it's ip address.

Whether I can obtain a link or not via the Network Manager, I get that COMPLETELY USELESS error message in my syslog about "dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/wlan0 for sub-path wlan0.dbus.get.reason". Just that! I don't get those slightly more informative errors about lease times as a few earlier posts have mentioned. The change that myric mentioned above has no affect for me. The exact same error and message persist.

Arrrrrrrgh!

Dennis New (dennisn) wrote :

Upon closer inspection, it looks like my bug, and I'm sure that of a few of the above posters, is actually Bug #105251

Dennis New (dennisn) wrote :

I don't know what to say. As mysteriously as the bug appeared, it vanished. My Network Manager works perfectly now.

Here's all I did. I originally tried myric's "workaround" a few posts above, and it didn't work. I updated a bunch of software via Update Manager (there was a lot to update, since this was a fresh Intrepid install). Nothing really changed. Then I UNDID myric's "workaround" ... I put back that "/com/redhat/dhcp/$interface" string, and magically, IT WORKS?! And it's consistent -- if I put it back to "/" ... the original problem comes back.

I don't know what to say. All I can do is pray to the dbus gods that this bug doesn't turn up again. Incidentally, it has nothing to do with permanent leases -- I get leases just fine -- it's a miscommunication between Network Manager and the dhclient (ie. dbus). The only reason why I'm posting here is because UNDOING myric's patch (and maybe updating random software) fixed it.

Sigh.

Dennis New (dennisn) wrote :

By the way, I was only able to use Update Manager in those brief 99s before the connection was killed. I had to do it a few times to complete all the downloads :|. It wouldn't work if I manually configured the wireless connection, either via Network Manager or via the console. The stupid thing is that Update Manager wouldn't even tell me that there was something wrong with the network! (even though there really wasn't -- but to it, i guess it appeared there was).

I'm guessing a wired connection would have been an easier way to update things. (I'm still thinking that it was an update of dbus or something that ultimately fixed my bug).

Although my wireless connection is working (somehow), I often find that
update manager will kill that connection to the extent that I need to reboot
my router! I can't just reboot the laptop, it actually kills my router
somehow. Jeez! Yet, when I use a wired connection to my router, everything
is just fine.

BTW, I have no idea how I got it working on my laptop, but somehow it just
started working. I had a similar experience when I was first trying to
configure my laptop. I was trying to set parameters in the /etc/networking
config files (or something like that), but I eventually gave up on that old
way of doing it and left it all to network manager (which was overwriting my
config changes anyhow). Of all the things that was most annoying, this
network problem was and still is right on the top of my list.

On Thu, Jul 3, 2008 at 1:03 PM, Dennis Nezic <email address hidden>
wrote:

> By the way, I was only able to use Update Manager in those brief 99s
> before the connection was killed. I had to do it a few times to complete
> all the downloads :|. It wouldn't work if I manually configured the
> wireless connection, either via Network Manager or via the console. The
> stupid thing is that Update Manager wouldn't even tell me that there was
> something wrong with the network! (even though there really wasn't --
> but to it, i guess it appeared there was).
>
> I'm guessing a wired connection would have been an easier way to update
> things. (I'm still thinking that it was an update of dbus or something
> that ultimately fixed my bug).
>
> --
> Dhcdbd doesn't recognize permanent (-1) DHCP leases
> https://bugs.launchpad.net/bugs/93360
> You received this bug notification because you are a direct subscriber
> of the bug.
>

AintNoBug (aintnobug) wrote :

Just bumping.

This has appeared in a Debian release, 11/06/2009.
2.6.28-2009031001 #1 SMP Tue Mar 10 18:50:23 EST 2009 i686 GNU/Linux

dhcpdb is running.
lease can be requested and is sent.

never makes it to eth1 (which is the primary, not eth0).

This occured after a dist-upgrade.

Following message repeated numerously in /var/log/messages:

dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason

Could not find or figure out a solution.

Worked around it by permanently killing dhcdbd and setting everything statically in /etc/network/interfaces.

This is a show-stopper bug.

2009/6/11 AintNoBug <email address hidden>:
> Just bumping.
>
> This has appeared in a Debian release, 11/06/2009.
> 2.6.28-2009031001 #1 SMP Tue Mar 10 18:50:23 EST 2009 i686 GNU/Linux

It has been a while since I saw it in Ubuntu. Certainly not in Jaunty.

aesis05401 (aesis05401) wrote :

The only package that needed dhcdbd was network-manager, and that dependency is gone as of n-m 0.7. Here are the bugs.debian posts requesting and confirming the package removal:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=527849

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.